--|
--| $Source: /home/acde/MySQL/RCS/dbtest.adb,v $
--|					
--| Copyright (C) 2000 Michael Erdmann
--|
--| This program is free software; you can redistribute it and/or
--| modify it under the terms of the GNU General Public License
--| as published by the Free Software Foundation; either version 2
--| of the License, or (at your option) any later version.
--|
--| This program/code is distributed in the hope that it will be useful,
--| but WITHOUT ANY WARRANTY; without even the implied warranty of
--| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--| GNU General Public License for more details.
--|
--| You should have received a copy of the GNU General Public License
--| along with this program; if not, write to the Free Software
--| Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--|
--| $Log: dbtest.adb,v $
--| Revision 1.2  2000/05/14 19:33:43  acde
--| Put under GPL
--|
--| Revision 1.1  2000/04/23 18:10:53  acde
--| No comments
--|		  
with Ada.Text_IO;            use Ada.Text_IO;
with Ada.Strings.Unbounded;  use Ada.Strings.Unbounded;
with Ada.Calendar;           use Ada.Calendar;

with DB; use DB;

procedure DBTest is
   dBase      : DB.Object;
   qId        : DB.Query_ID;
   Nbr_Tuples : Integer := 0;
begin	
   Initialize( dBase );
   		 
   User( dBase,      "acde");
   Password( dBase, "Michael" );
   Connect( dBase,   "localhost" );      

   Select_DB( dBase, "Test_DB" );

   --------------------------------------------------------------------------------------
   begin   
      qID := Query( dBase, "select * from Test where id='Otto'");
      Put_Line( "Nbr of Rows:" & Integer'Image(Nbr_of_Rows(dBase, qID)) );

      while true loop
         declare
	    Insert_Time : Time;
	 begin
	    Nbr_Tuples := Nbr_Tuples + 1;
	    Put_Line( "'" & To_String( String_Field( dBase, qId, "id" ) ) & "'" );
	    Insert_Time := Date_Field( dBase, qID, 2);
            Next( dBase, qID );
	 exception
	    when Field_Parse_Error =>
	       Put_Line("Field parse error");
	       Next( dBase, qID );
	    when Others =>
	       raise;
	 end;
      end loop;
   exception
      when Field_Type_Error =>
      	 Put_Line("Field type error");
      when No_Query_Result =>
      	 Put_Line("Query Failed");
      when No_More_Rows =>
         Put_Line( "End of Query Tuples:" & Integer'Image( Nbr_Tuples ) );
      when The_Error : Others =>
         Put_Line( "An error has occured at:" & Integer'Image( Nbr_Tuples )  );
   end;
   Drop_Query( dBase, qID );

   Finalize( dBase );

end DBTest;
